# spec file for package nodejs-nodejs-ansi-regex

%global npm_name ansi-regex

%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-ansi-regex
Version:        2.0.0
Release:        3%{?dist}
Summary:        Regular expression for matching ANSI escape codes
URL:            https://github.com/sindresorhus/ansi-regex
Source0:        https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

License:        MIT
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires: npm(mocha)
%endif

%description
Regular expression for matching ANSI escape codes

%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json index.js \
  %{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%{__nodejs} -e 'require("./")'
%{_bindir}/mocha -R spec test/test.js
%endif

%files
%{nodejs_sitelib}/ansi-regex

%doc readme.md
%license license

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Piotr Popieluch <piotr1212@gmail.com> - 2.0.0-2
- Remove deprecated BR: nodejs-devel
- Fix space/tab mixing

* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Update to upstream 2.0.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 13 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 1.1.1-1
- Initial build
